#!/bin/sh
echo "Eclipse C/C++ Development Tools 9.4 for Eclipse Oxygen"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/oxygen/cdt-oxygen-94 ]
then
	mkdir -p -v $UPDATEFOLDER/oxygen/cdt-oxygen-94
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/oxygen/cdt-oxygen-94"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/oxygen/cdt-oxygen-94"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://download.eclipse.org/tools/cdt/releases/9.4 -destination file:$UPDATEFOLDER/oxygen/cdt-oxygen-94
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://download.eclipse.org/tools/cdt/releases/9.4 -destination file:$UPDATEFOLDER/oxygen/cdt-oxygen-94
