#!/bin/sh
echo "Eclipse Linux Tools 6.2.0 for Eclipse Oxygen"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/oxygen/linuxtools-oxygen-6.2.0 ]
then
	mkdir -p -v $UPDATEFOLDER/oxygen/linuxtools-oxygen-6.2.0
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/oxygen/linuxtools-oxygen-6.2.0"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/oxygen/linuxtools-oxygen-6.2.0"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://download.eclipse.org/linuxtools/update-6.2.0 -destination file:$UPDATEFOLDER/oxygen/linuxtools-oxygen-6.2.0
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://download.eclipse.org/linuxtools/update-6.2.0 -destination file:$UPDATEFOLDER/oxygen/linuxtools-oxygen-6.2.0
